#!/bin/bash
if [ -z "$BASH_VERSION" ]; then exec bash "$0" "$@"; exit; fi

namespace=$1

if [[ ${namespace} == "" ]]; then
	echo "[Usage] $0 <NAMESAPCE>"
	exit
fi

kubectl -n ${namespace} wait --for=condition=ready pod/${postgres} --timeout=1200s

pg_check=`sh postgres_check_data imxc`

if [[ ${pg_check} == 1 ]]; then
	echo "pg data already!"
	exit
fi

echo "pg data insert start"

postgres=`kubectl get pods -n ${namespace} | grep postgres | awk '{print $1}'`


kubectl cp postgres_insert_ddl.psql ${postgres}:/postgres_insert_ddl.psql -n ${namespace}
kubectl cp postgres_insert_dml.psql ${postgres}:/postgres_insert_dml.psql -n ${namespace}

sleep 10

kubectl exec -it ${postgres} -n ${namespace} -- bash -c "PGPASSWORD='eorbahrhkswp' && /usr/bin/psql -h 'localhost' -U 'admin' -d 'postgresdb' -f /postgres_insert_ddl.psql"
kubectl exec -it ${postgres} -n ${namespace} -- bash -c "PGPASSWORD='eorbahrhkswp' && /usr/bin/psql -h 'localhost' -U 'admin' -d 'postgresdb' -f /postgres_insert_dml.psql"


